cmake_minimum_required(VERSION 3.26)
set(CMAKE_EXPORT_COMPILE_COMMANDS ON CACHE INTERNAL "") # works

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake-modules)

find_package(OpenCV REQUIRED)

project(MarkerTracking)

include_directories( ${OpenCV_INCLUDE_DIRS} )

set(SOURCES
        MarkerTracking.cpp
        src/Detector.hpp
        src/Detector.cpp
        src/SobelFilter.hpp
        src/SobelFilter.cpp)
add_executable(MarkerTracking ${SOURCES})
target_link_libraries (MarkerTracking ${OpenCV_LIBS})
